#!/bin/sh
DSICONF=/opt/products/dstar/dstar_gw/dsipsvd/dsipsvd.conf
GW_CALL=`egrep -e '^ZR_CALLSIGN' $DSICONF | sed -e 's/ //g' | awk -F"=" '{print $2}' |sed -e 's/\r//'`
date > /tmp/ircddb-instcheck.$GW_CALL
echo "ircDDB-Installations-Check Version 20100616" >> /tmp/ircddb-instcheck.$GW_CALL
echo "######## dsm status ########" >> /tmp/ircddb-instcheck.$GW_CALL
/etc/init.d/dsm status >> /tmp/ircddb-instcheck.$GW_CALL
echo "######## dstar_gw status ########" >> /tmp/ircddb-instcheck.$GW_CALL
/etc/init.d/dstar_gw status >> /tmp/ircddb-instcheck.$GW_CALL
echo "######## dstarmon.log ########" >> /tmp/ircddb-instcheck.$GW_CALL
cat /var/log/dstarmon.log >> /tmp/ircddb-instcheck.$GW_CALL
echo "######## dstarmonitor.properties #########" >> /tmp/ircddb-instcheck.$GW_CALL
cat /opt/dstarmon/dstarmonitor.properties >> /tmp/ircddb-instcheck.$GW_CALL
echo "######## monstart.sh ########" >> /tmp/ircddb-instcheck.$GW_CALL
cat /opt/dstarmon/monstart.sh >> /tmp/ircddb-instcheck.$GW_CALL
echo "######## ircDDB.properties ########" >> /tmp/ircddb-instcheck.$GW_CALL
cat /opt/ircDDB/ircDDB.properties >> /tmp/ircddb-instcheck.$GW_CALL
echo "######## start.sh #########" >> /tmp/ircddb-instcheck.$GW_CALL
cat /opt/ircDDB/start.sh >> /tmp/ircddb-instcheck.$GW_CALL
echo "######## ircDDB.policy ########" >> /tmp/ircddb-instcheck.$GW_CALL
cat /opt/ircDDB/ircDDB.policy >> /tmp/ircddb-instcheck.$GW_CALL
echo "######## run.sh ########" >> /tmp/ircddb-instcheck.$GW_CALL
cat /opt/ircDDB/run.sh >> /tmp/ircddb-instcheck.$GW_CALL
echo "######## ircddb-log ########" >> /tmp/ircddb-instcheck.$GW_CALL
cat /tmp/irc*.log >> /tmp/ircddb-instcheck.$GW_CALL
echo "######## dstar_gw start #########" >> /tmp/ircddb-instcheck.$GW_CALL
cat /etc/init.d/dstar_gw >> /tmp/ircddb-instcheck.$GW_CALL
echo "######## ircDDB-Home ########" >> /tmp/ircddb-instcheck.$GW_CALL
ls -lR /opt/ircDDB >> /tmp/ircddb-instcheck.$GW_CALL
echo "######## DSM-Home ########" >> /tmp/ircddb-instcheck.$GW_CALL
ls -l /opt/dstarmon >> /tmp/ircddb-instcheck.$GW_CALL
echo "Output-Filename: /tmp/ircddb-instcheck.$GW_CALL"
echo "Output-Filename: /tmp/ircddb-instcheck.$GW_CALL"
gzip /tmp/ircddb-instcheck.$GW_CALL
echo "Uploading results"
curl --ftp-pasv -T /tmp/ircddb-instcheck.$GW_CALL.gz -u anonymous:dl5di@db0lj.de ftp://download.prgm.org/uploads/
